-- Demonstration script for the presentation "Improving SQL Server Performance by Writing Faster T-SQL" by Andy Novick
-- Copyright (C) 2012-2014 by Andrew Novick,
-- This script is intended for demonstration purposes only. Do not use this in production situations.

DECLARE @sql nvarchar(max)
DECLARE @trace_run_id int

SET @sql = '
DECLARE @num_sales INT = 0;
EXEC tempdb..ns_sample_master_proc @num_sales OUTPUT
--SELECT @num_sales
'

EXECUTE tempdb.[dbo].[ns_trace_call_tree_for_proc] 
   @sql = @sql
  ,@procedure_name = 'ns_sample_master_proc'
  ,@trace_name = 'demo_for_webinar'
  ,@cache_status = 'WARM'
  ,@directory = 'c:\temp\'
  ,@exclude_object_name_pipe_seperated_list = ''
  ,@min_sub_proc_time_sec = 0.001
  ,@min_body_time_sec = 0.001
  ,@trace_run_id = @trace_run_id OUTPUT
SELECT @trace_run_id